<?xml version="1.0" encoding="utf-8"?>
<object xmlns:i18n="http://xml.zope.org/namespaces/i18n"
        meta_type="Dexterity FTI"
        name="ploneintranet.userprofile.userprofile"
        i18n:domain="ploneintranet"
>
  <property name="title"
            i18n:translate=""
  >Profile</property>
  <property name="description"
            i18n:translate=""
  />
  <property name="icon_expr">string:${portal_url}/userprofile_icon.png</property>
  <property name="factory">ploneintranet.userprofile.userprofile</property>
  <property name="link_target" />
  <property name="immediate_view">userprofile-view</property>
  <property name="global_allow">False</property>
  <property name="filter_content_types">True</property>
  <property name="allowed_content_types">
    <element value="todo" />
  </property>
  <property name="allow_discussion">False</property>
  <property name="default_view">userprofile-view</property>
  <property name="view_methods">
    <element value="userprofile-view" />
  </property>
  <property name="default_view_fallback">False</property>
  <property name="add_permission">cmf.AddPortalMember</property>
  <!-- schema and class used for content items -->
  <property name="schema">ploneintranet.userprofile.content.userprofile.IUserProfile</property>
  <property name="klass">ploneintranet.userprofile.content.userprofile.UserProfile</property>
  <property name="behaviors">
    <element value="dexterity.membrane.name_from_fullname" />
    <element value="dexterity.membrane.user" />
    <element value="dexterity.membrane.provide_password" />
    <element value="ploneintranet.userprofile.additional_fields" />
    <element value="plone.textindexer" />
  </property>
  <!-- DO NOT use a model_source or it removes manually added fields while reapplying the profile -->
  <!--property name="model_source" /-->
  <alias from="(Default)"
         to="(dynamic view)"
  />
  <alias from="edit"
         to="@@edit"
  />
  <alias from="sharing"
         to="@@sharing"
  />
  <alias from="view"
         to="(selected layout)"
  />
  <action action_id="view"
          category="object"
          condition_expr=""
          description=""
          icon_expr=""
          link_target=""
          title="View"
          url_expr="string:${object_url}"
          visible="True"
  >
    <permission value="View" />
  </action>
  <action action_id="edit"
          category="object"
          condition_expr=""
          description=""
          icon_expr=""
          link_target=""
          title="Edit"
          url_expr="string:${object_url}/edit"
          visible="True"
  >
    <permission value="Modify portal content" />
  </action>
</object>
